CVE-2018-12699

NameCVE-2018-12699
Descriptionfinish_stab in stabs.c in GNU Binutils 2.30 allows attackers to cause a denial of service (heap-based buffer overflow) or possibly have unspecified other impact, as demonstrated by an out-of-bounds write of 8 bytes. This can occur during execution of objdump.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
binutils (PTS)jessie2.25-5+deb8u1vulnerable
stretch2.28-5vulnerable
buster, sid2.31.1-11vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
binutilssource(unstable)(unfixed)low

Notes

[stretch] - binutils <ignored> (Minor issue)
[jessie] - binutils <ignored> (Minor issue)
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85454
https://sourceware.org/bugzilla/show_bug.cgi?id=23057

Search for package or bug name: Reporting problems